#include<iostream>
using namespace std;
int main()
{
    long long n1,n2,k;
    char c1,c2;
    cin>>n1>>c1;
    cin>>n2>>c2;
    cin>>k;
    if(k<n1)
    {
        cout<<n1-k;
    }else{
        cout<<"0";
        }

    return 0;
}
